#!/bin/bash
set -x
path=/usr/share/system-update


function upgrade()
{
	expect -c "
		spawn apt upgrade
		expect {
			\"* \[Y/n\]\" {send  \"n\r\"; exp_continue }
		}
	"
}

rm -rf /usr/share/system-update/install-package
rm -rf /usr/share/system-update/log-all
rm -rf /usr/share/system-update/update-package
rm -rf /usr/share/system-update/update.list
rm -rf /usr/share/system-update/auto-update-flag


upgrade  > $path/log-all  2>&1 


cat $path/log-all | grep -A 200 "将被安装" | grep -B 200 "将被升级" | sed 1d >  $path/install-package  2>&1

sed -i '$d' $path/install-package 

cat $path/log-all |grep  -A 100 "下列软件包将被升级" | grep -B 100 "升级了" | sed 1d > $path/update-package

sed -i '$d' $path/update-package

sed -i "s/\r//" /usr/share/system-update/update-package

for line in $(cat $path/update-package)
do
	if [ "$line" = "n" ];
	then
		continue
	fi
	echo $line >> $path/update.list
done
